<script>
	import SVG from "@/components/svg.svelte"

	import { isLight } from "@/stores/static"
	import { fade } from 'svelte/transition'

	let expanded = false
</script>

<div class="faq-item" class:dark={!$isLight}>
	<!-- svelte-ignore a11y-click-events-have-key-events -->
	<div class="faq-trigger is-flex is-align-items-center is-justify-content-space-between" class:expanded={expanded} on:click={() => expanded = !expanded}>
		<p class="title"><slot name="title" /></p>
		<div class="icon-wrap">
			{#if expanded}
				<span class="icon" transition:fade="{{ duration: 200 }}"><SVG folder="icons" name="minus" /></span>
			{:else}
				<span class="icon" transition:fade="{{ duration: 200 }}"><SVG folder="icons" name="plus" /></span>
			{/if}
		</div>
	</div>
	<div class="faq-body" class:expanded={expanded}>
		<div class="content"><slot /></div>
	</div>
</div>

<style lang="scss">
	.faq {
		&-item {
			max-width: 560px;
			width: 100%;
			margin: .5rem 0;

			&.dark {
				.faq-trigger {
					border-color: #434343;
					&:hover {
						background: #2E2E2E;
					}
					&:not(.expanded) {
						.icon {
							:global(svg path) {
								fill: $white;
							}
						}
					}
				}
				.content {
					color: $white;
					background: #2E2E2E;
				}
			}
		}
		&-trigger {
			padding: 1.25rem 0;
			border-bottom: 1px solid $dark;
			cursor: pointer;
			transition: 
				background .2s ease-in-out,
				border-color .2s ease-in-out;
			.title {
				font-size: 1.125rem;
				font-weight: 500;
				text-transform: uppercase;
				padding-right: 1rem;
				transition: color .2s ease-in-out;
			}
			.icon {
				width: 100%;
				height: 100%;
				position: absolute;
				top: 0;
				left: 0;
				:global(svg) {
					height: 1.5rem;
				}
				:global(svg path) {
					transition: fill .2s ease-in-out;
				}
				&-wrap {
					min-width: 1.5rem;
					max-width: 1.5rem;
					height: 1.5rem;
					position: relative;
				}
			}
			&:hover {
				background: $gray;
			}
			&.expanded {
				.title { color: $primary; }
				.icon :global(svg path) { fill: $primary; }
			}
		}
		&-body {
			max-height: 0;
			overflow: hidden;
			transition: max-height .2s ease-in-out;
			&.expanded {
				max-height: 500px;
			}
		}
	}

	.content {
		font-size: 1.125rem;
		font-weight: 300;
		color: $black;
		padding: 1rem 1rem 2rem;
		margin-top: 1rem;
		background: $gray;
		transition: 
			color .2s ease-in-out,
			background .2s ease-in-out;
	}
</style>